ResourceGroup.ResourceGroupCreateInfo (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.server.session.ResourceGroup.ResourceGroupCreateInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.server.session
Class ResourceGroup.ResourceGroupCreateInfo

    java.lang.Object
      org.hyperic.hq.authz.server.session.ResourceGroup.ResourceGroupCreateInfo

Enclosing class:
  ResourceGroup

    public static class ResourceGroup.ResourceGroupCreateInfo

extends java.lang.Object

Constructor Summary
`ResourceGroup.ResourceGroupCreateInfo(java.lang.String name, java.lang.String description, int groupType, Resource prototype, java.lang.String location, int clusterId, boolean system, boolean privateGroup)`

Method Summary
`int` | `getClusterId()`
`java.lang.String` | `getDescription()`
`int` | `getGroupType()`
`java.lang.String` | `getLocation()`
`java.lang.String` | `getName()`
`Resource` | `getResourcePrototype()`
`boolean` | `isPrivateGroup()`
`boolean` | `isSystem()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceGroup.ResourceGroupCreateInfo

    public ResourceGroup.ResourceGroupCreateInfo(java.lang.String name,
                                                 java.lang.String description,
                                                 int groupType,
                                                 Resource prototype,
                                                 java.lang.String location,
                                                 int clusterId,
                                                 boolean system,
                                                 boolean privateGroup)

Method Detail

### getName

    public java.lang.String getName()

### getDescription

    public java.lang.String getDescription()

### getLocation

    public java.lang.String getLocation()

### getGroupType

    public int getGroupType()

### getResourcePrototype

    public Resource getResourcePrototype()

### getClusterId

    public int getClusterId()

### isSystem

    public boolean isSystem()

### isPrivateGroup

    public boolean isPrivateGroup()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.